Bug 726431 - Coverity: Null pointer dereference, dereference after null check, REVERSE_INULL
Summary: Coverity: Null pointer dereference, dereference after null check, REVERSE_INULL
Status: NEW
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
(Show other bugs)
Version: 4.1
Hardware: Unspecified Unspecified
medium
unspecified vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-28 15:03 UTC by Mike Foley
Modified: 2012-02-01 17:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Foley 2011-07-28 15:03:31 UTC
Description of problem:  The RHQ Team decided at the 7/28/2011 Coverity meeting to address this category of issue:  Null pointer dereference, dereference after null check, REVERSE_INULL

http://coverity.lab.bos.redhat.com:8080/defects/index.htm?projectId=10030&view=AAAAAAAAJxk_

user=rhq
password=jboss42

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike Foley 2011-10-06 18:56:03 UTC
mazz ... you did this, right?

Comment 2 John Mazzitelli 2011-10-06 19:10:20 UTC
I don't remember which ones I did, but I did change the status after I fixed them. This REVERSE_INULL does not look familar


Note You need to log in before you can comment on or make changes to this bug.